As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 669308 - Introduce Macros and method helpers to simplify participation of classes to the dom memory reporter
: Introduce Macros and method helpers to simplify participation of classes to t...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla8
Assigned To: Mounir Lamouri (:mounir)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks: 663271 669886
  Show dependency treegraph
 
Reported: 2011-07-05 07:40 PDT by Mounir Lamouri (:mounir)
Modified: 2011-07-12 03:46 PDT (History)
0 users
mounir: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (5.23 KB, patch)
2011-07-05 07:40 PDT, Mounir Lamouri (:mounir)
no flags Details | Diff | Splinter Review
Patch v1 (6.01 KB, patch)
2011-07-05 07:41 PDT, Mounir Lamouri (:mounir)
bzbarsky: review+
Details | Diff | Splinter Review

Description User image Mounir Lamouri (:mounir) 2011-07-05 07:40:21 PDT
Created attachment 543934 [details] [diff] [review]
Patch v1
Comment 1 User image Mounir Lamouri (:mounir) 2011-07-05 07:41:05 PDT
Created attachment 543935 [details] [diff] [review]
Patch v1
Comment 2 User image :Ms2ger (⌚ UTC+1/+2) 2011-07-05 07:43:46 PDT
Comment on attachment 543935 [details] [diff] [review]
Patch v1

>--- a/dom/base/nsDOMMemoryReporter.h
>+++ b/dom/base/nsDOMMemoryReporter.h
>+namespace mozilla {
>+  namespace dom {
>+    namespace MemoryReporter {
>+      /**

namespaces don't increase indentation, so

>+namespace mozilla {
>+namespace dom {
>+namespace MemoryReporter {
>+/**
Comment 3 User image Boris Zbarsky [:bz] (still a bit busy) 2011-07-11 07:15:44 PDT
Comment on attachment 543935 [details] [diff] [review]
Patch v1

> It will compute the basic size of the object,
> +       * that means the size of the object without owned objects trough
> +       * pointers.  Owned object have to be added manually to ::SizeOf().

How about:

  It will compute the basic size of an object.  This means the size of the
  object itself plus everything owned by its superclasses.  This will not
  include the size of objects owned by this objects (which have to be manually
  added to ::SizeOf), but does include the size of any pointers to those
  objects stored in this object.

r= me
Comment 4 User image Mounir Lamouri (:mounir) 2011-07-12 03:46:10 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/414d5cd3a7e2

Note You need to log in before you can comment on or make changes to this bug.